/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#include "widget_separator.h"
#include "bitmapfont.h"
#include "util.h"
#include "gui_skin.h"

SeparatorWidget::SeparatorWidget(int space)
{
	this->space = space;
}

SeparatorWidget::~SeparatorWidget()
{
}

// inherited
int SeparatorWidget::draw(SDL_Surface *dest, int x, int y, int w, bool selected)
{
	if (selected)
	{
		//draw_highlight(dest,x,y,w, this->get_height(selected));
		GuiSkin::draw_selection(dest,x,y,w, this->get_height(selected));
	}
	return this->get_height(selected);
}

int SeparatorWidget::get_height(bool selected)
{
	return space;
}

bool SeparatorWidget::on_button_down(int button)
{
	return false;
}

bool SeparatorWidget::on_button_up(int button)
{
	return false;
}
		
bool SeparatorWidget::is_selectable()
{
	return false;
}

